import 'package:injectable/injectable.dart';
import 'package:json_annotation/json_annotation.dart';

part 'character_group_info.g.dart';

@JsonSerializable()
class CharacterGroupInfo {
  //主题id
  @JsonKey(name: 'id')
   String? id;

  //主题名称
  @JsonKey(name: 'name')
   String? name;

  //icon
  @JsonKey(name: 'iconUrl')
  String? iconUrl;

  CharacterGroupInfo({
     this.id,
     this.name,
    this.iconUrl,
  });

  factory CharacterGroupInfo.fromJson(Map<String, dynamic> json) =>
      _$CharacterGroupInfoFromJson(json);

  Map<String, dynamic> toJson() => _$CharacterGroupInfoToJson(this);
}
